
_set_up:

;tm1637.c,6 :: 		void set_up() {
;tm1637.c,8 :: 		INTCON = 0;          // Todas las interrupciones deshabilitadas
	CLRF       INTCON+0
;tm1637.c,9 :: 		ANSEL = 0;       // Pin RA2 se configura como una entrada analgica
	CLRF       ANSEL+0
;tm1637.c,10 :: 		ANSELH = 0;        // Los dems pines se configuran como digitales
	CLRF       ANSELH+0
;tm1637.c,11 :: 		TRISB6_bit=0;     // los pies B6 y B7 se configuran como salidas
	BCF        TRISB6_bit+0, BitPos(TRISB6_bit+0)
;tm1637.c,12 :: 		TRISB7_bit=0;
	BCF        TRISB7_bit+0, BitPos(TRISB7_bit+0)
;tm1637.c,13 :: 		RB7_bit=0;  //CLK
	BCF        RB7_bit+0, BitPos(RB7_bit+0)
;tm1637.c,14 :: 		RB6_bit=0; // DATA
	BCF        RB6_bit+0, BitPos(RB6_bit+0)
;tm1637.c,15 :: 		C1ON_bit = 0;    // se desactivan los comparadores analgicos
	BCF        C1ON_bit+0, BitPos(C1ON_bit+0)
;tm1637.c,16 :: 		C2ON_bit = 0;
	BCF        C2ON_bit+0, BitPos(C2ON_bit+0)
;tm1637.c,17 :: 		CCP1CON = 0;   //PWM1 y PWM2 desactivados.
	CLRF       CCP1CON+0
;tm1637.c,18 :: 		CCP2CON = 0;
	CLRF       CCP2CON+0
;tm1637.c,20 :: 		}
L_end_set_up:
	RETURN
; end of _set_up

_main:

;tm1637.c,22 :: 		void main() {
;tm1637.c,24 :: 		set_up();
	CALL       _set_up+0
;tm1637.c,25 :: 		TM1637_SetBrightness(7);
	MOVLW      7
	MOVWF      FARG_TM1637_SetBrightness_brightness+0
	CALL       _TM1637_SetBrightness+0
;tm1637.c,26 :: 		TM1637_Init();
	CALL       _TM1637_Init+0
;tm1637.c,27 :: 		while (1)
L_main0:
;tm1637.c,29 :: 		for ( count = 0; count<= 1000;  count++) {
	CLRF       _count+0
	CLRF       _count+1
L_main2:
	MOVF       _count+1, 0
	SUBLW      3
	BTFSS      STATUS+0, 2
	GOTO       L__main8
	MOVF       _count+0, 0
	SUBLW      232
L__main8:
	BTFSS      STATUS+0, 0
	GOTO       L_main3
;tm1637.c,30 :: 		TM1637_DisplayDecimal(count, 0); // 0: OFF 1: ON
	MOVF       _count+0, 0
	MOVWF      FARG_TM1637_DisplayDecimal_v+0
	MOVF       _count+1, 0
	MOVWF      FARG_TM1637_DisplayDecimal_v+1
	CLRF       FARG_TM1637_DisplayDecimal_displaySeparator+0
	CLRF       FARG_TM1637_DisplayDecimal_displaySeparator+1
	CALL       _TM1637_DisplayDecimal+0
;tm1637.c,31 :: 		delay_ms(1000);
	MOVLW      11
	MOVWF      R11+0
	MOVLW      38
	MOVWF      R12+0
	MOVLW      93
	MOVWF      R13+0
L_main5:
	DECFSZ     R13+0, 1
	GOTO       L_main5
	DECFSZ     R12+0, 1
	GOTO       L_main5
	DECFSZ     R11+0, 1
	GOTO       L_main5
	NOP
	NOP
;tm1637.c,29 :: 		for ( count = 0; count<= 1000;  count++) {
	INCF       _count+0, 1
	BTFSC      STATUS+0, 2
	INCF       _count+1, 1
;tm1637.c,32 :: 		}
	GOTO       L_main2
L_main3:
;tm1637.c,33 :: 		}
	GOTO       L_main0
;tm1637.c,35 :: 		}
L_end_main:
	GOTO       $+0
; end of _main
