
#include "tm1637_lib.h"
#include "built_in.h"
unsigned int  count =0;

void set_up() {

  INTCON = 0;          // Todas las interrupciones deshabilitadas
  ANSEL = 0;       // Pin RA2 se configura como una entrada analgica
  ANSELH = 0;        // Los dems pines se configuran como digitales
  TRISB6_bit=0;     // los pies B6 y B7 se configuran como salidas
  TRISB7_bit=0;
  RB7_bit=0;  //CLK
  RB6_bit=0; // DATA
  C1ON_bit = 0;    // se desactivan los comparadores analgicos
  C2ON_bit = 0;
  CCP1CON = 0;   //PWM1 y PWM2 desactivados.
  CCP2CON = 0;

}

void main() {

    set_up();
    TM1637_SetBrightness(7);
    TM1637_Init();
  while (1)
  {
     for ( count = 0; count<= 1000;  count++) {
           TM1637_DisplayDecimal(count, 0); // 0: OFF 1: ON
            delay_ms(1000);
          }
  }
   
}